package com.pcloud.book.clock.eneity;

import com.pcloud.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Author: hzk
 * @Date: 2019/6/6 11:29
 * @Version 1.0
 */
public class CancelSelectedParam extends BaseEntity {

    private static final long serialVersionUID = -2920073442893221261L;

    @ApiModelProperty("作品/应用ID")
    private Long bookClockInfoId;

    @ApiModelProperty("社群书ID")
    private Long bookGroupId;

    @ApiModelProperty("分类ID")
    private Long classifyId;

    public Long getBookClockInfoId() {
        return bookClockInfoId;
    }

    public void setBookClockInfoId(Long bookClockInfoId) {
        this.bookClockInfoId = bookClockInfoId;
    }

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public Long getClassifyId() {
        return classifyId;
    }

    public void setClassifyId(Long classifyId) {
        this.classifyId = classifyId;
    }

    @Override
    public String toString() {
        return "CancelSelectedParam{" +
                "bookClockInfoId=" + bookClockInfoId +
                ", bookGroupId=" + bookGroupId +
                ", classifyId=" + classifyId +
                '}';
    }
}
